--- /usr/sbin/luksformat	2009-10-15 19:29:00.000000000 +0200
+++ luksformat	2010-01-06 20:43:10.608630752 +0100
@@ -8,7 +8,7 @@
 # License: GNU General Public License, v2 or any later
 # (http://www.gnu.org/copyleft/gpl.html)
 
-use Getopt::Long;
+use Getopt::Long qw(:config pass_through);
 
 sub help() {
     print "luksformat - Create and format an encrypted LUKS device
@@ -20,14 +20,14 @@
 $fs = 'vfat';
 exit 1 unless GetOptions ('t|type=s' => \$fs);
 
-help() if $#ARGV != 0;
+help() if $#ARGV < 0;
 
 if ($> != 0) {
     print STDERR "This program needs to be started as root\n";
     exit 1;
 }
 
-$device = $ARGV[0];
+$device = shift(@ARGV);
 
 open(MOUNTS, "/proc/mounts");
 while (<MOUNTS>) {
@@ -69,7 +69,7 @@
     exit 1;
 }
 
-$result = system $mkfs, "/dev/mapper/$name";
+$result = system $mkfs, "/dev/mapper/$name", @ARGV;
 print "\n";
 system 'cryptsetup', 'luksClose', $name;
 
@@ -83,7 +83,7 @@
 
 =head1 SYNOPSIS
 
-B<luksformat> [B<-t> I<fstype>] I<device>
+B<luksformat> [B<-t> I<fstype>] I<device> [ mkfs options ]
 
 =head1 DESCRIPTION
 
